% Generated by roxygen2 (4.1.1): do not edit by hand
% Please edit documentation in R/functions.R
\name{plotGenotype}
\alias{plotGenotype}
\title{Show a colorful representation of a genotype}
\usage{
plotGenotype(genotype, text_size = 12)
}
\arguments{
\item{genotype}{a table of alleles denoting a genotype, as returned by
\code{\link{inferGenotype}}}

\item{text_size}{the point size of the plotted text}
}
\description{
\code{plotGenotype} .
}
\details{
If a columns \code{SUBJECT} is added to \code{genotype}, the data
will be faceted according to this column automatically.
}
\examples{
\dontrun{
# Infer and view a genotype from the sample
novel_df = findNovelAlleles(sample_db, germline_ighv)
geno = inferGenotype(sample_db, find_unmutated = TRUE,
                     germline_db = germline_ighv, novel_df = novel_df)
plotGenotype(geno)
}
}
\seealso{
\code{\link{inferGenotype}}
}

